| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::VertexPoseKeyFrame::PoseRef Struct Reference

Reference to a pose at a given influence level. More...

`#include <OgreKeyFrame.h>`

## Public Member Functions
| PoseRef (ushort p, Real i)

## Public Attributes
Real | influence
| Influence level of the linked pose. More...
ushort | poseIndex
| The linked pose index. More...

## Detailed Description

Reference to a pose at a given influence level.

Remarks
  Each keyframe can refer to many poses each at a given influence level.

## Constructor & Destructor Documentation

## ◆ PoseRef()

Ogre::VertexPoseKeyFrame::PoseRef::PoseRef | ( | ushort | p,
|  | Real | i
| ) |  |
| inline

## Member Data Documentation

## ◆ poseIndex

ushort Ogre::VertexPoseKeyFrame::PoseRef::poseIndex

The linked pose index.

Remarks
  The Mesh contains all poses for all vertex data in one list, both for the shared vertex data and the dedicated vertex data on submeshes. The 'target' on the parent track must match the 'target' on the linked pose.

## ◆ influence

Real Ogre::VertexPoseKeyFrame::PoseRef::influence

Influence level of the linked pose.

1.0 for full influence (full offset), 0.0 for no influence.

The documentation for this struct was generated from the following file:

- OgreKeyFrame.h